Bug 207246 - mail/milter-greylist fix options handling
Summary: mail/milter-greylist fix options handling
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-16 11:49 UTC by m.tsatsenko
Modified: 2016-03-22 17:00 UTC (History)
2 users (show)

See Also:


Attachments
the patch (4.88 KB, patch)
2016-02-16 11:49 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval-
Details | Diff
fixed patch (4.23 KB, patch)
2016-03-22 11:12 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2016-02-16 11:49:24 UTC
Created attachment 167078 [details]
the patch

- Fix options handling. Options helpers are supposed to be OPTION_ON instead of OPTION_WITH due to buggy configure which fails when --without- passed to it
- Remove dkim support. It is broken anyways (actually never worked)
- Regenerate patches to make portlint happy.
- Bump PORTREVISION

Portlint: OK
Poudriere: 93amd64 OK
Comment 1 neil 2016-02-29 12:03:59 UTC
The "feature_CONFIGURE_WITH" macro is correct but have been applied incorrectly. The values have a --with- prefix which results in configure seeing:

--with---with-feature

Remove the --with- from those lines and they will work, except for DKIM which needs special handling.

Further down the Makefile:

.if ${PORT_OPTIONS:MDKIM}
CONFIGURE_ARGS+= --with-libdkim=${LOCALBASE}
.endif

This permits correct building of all features including DKIM.
Comment 2 m.tsatsenko 2016-03-11 11:29:13 UTC
Hello.
Actually not. As far I can remember it fails even if used correctly in case if at least one of the options is unset.
Comment 3 Mark Felder freebsd_committer 2016-03-20 18:53:45 UTC
(In reply to m.tsatsenko from comment #0)

This does not regenerate patches, it deletes them entirely. Is this intended?

Also, is it intended to remove DKIM support entirely?
Comment 4 m.tsatsenko 2016-03-21 00:29:42 UTC
(In reply to Mark Felder from comment #3)
Hello.
Thanks for feedback.
Yes, removal of DKIM is intentional. 
However removing patches in an accident. I will submit corrected patch as soon as I can.
Comment 5 Mark Felder freebsd_committer 2016-03-21 02:02:15 UTC
(In reply to m.tsatsenko from comment #4)

Hello,

This still seems to be removing all patches and not replacing with regenerated ones.

root@skeletor:/usr/ports/mail/milter-greylist # svn patch --strip=1 /tmp/patch
U         Makefile
D         files/patch-configure
D         files/patch-greylist.conf
D         files/patch-ldapcheck.c
D         files/patch-sync.c
Comment 6 m.tsatsenko 2016-03-22 11:12:02 UTC
Created attachment 168489 [details]
fixed patch

My mistake.
Corrected patch attached
Comment 7 commit-hook freebsd_committer 2016-03-22 13:08:34 UTC
A commit references this bug:

Author: feld
Date: Tue Mar 22 13:07:57 UTC 2016
New revision: 411656
URL: https://svnweb.freebsd.org/changeset/ports/411656

Log:
  mail/milter-greylist: Fix options

  - Remove DKIM option as it reportedly never worked
  - Regenerate patches to appease portlint

  PR:		207246
  MFH:		2016Q1

Changes:
  head/mail/milter-greylist/Makefile
  head/mail/milter-greylist/files/patch-configure
  head/mail/milter-greylist/files/patch-greylist.conf
  head/mail/milter-greylist/files/patch-ldapcheck.c
  head/mail/milter-greylist/files/patch-sync.c
Comment 8 commit-hook freebsd_committer 2016-03-22 13:12:37 UTC
A commit references this bug:

Author: feld
Date: Tue Mar 22 13:12:07 UTC 2016
New revision: 411658
URL: https://svnweb.freebsd.org/changeset/ports/411658

Log:
  mail/milter-greylist: Fix options

  - Remove DKIM option as it reportedly never worked
  - Regenerate patches to appease portlint

  PR:		207246
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/mail/milter-greylist/Makefile
  branches/2016Q1/mail/milter-greylist/files/patch-configure
  branches/2016Q1/mail/milter-greylist/files/patch-greylist.conf
  branches/2016Q1/mail/milter-greylist/files/patch-ldapcheck.c
  branches/2016Q1/mail/milter-greylist/files/patch-sync.c
Comment 9 Mark Felder freebsd_committer 2016-03-22 17:00:34 UTC
Committed, thanks